/*
 * Copyright (C) 2004 Javier Ruiz Hidalgo <jrhbcn@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

using System;
using System.Xml;
using Mono.Unix;


public class InfoPluginItem {

	private string mime;
	public string Mime {
		set { mime = value; }
		get { return mime;  }
	}

	private string program;
	public string Program {
		set { program = value; }
		get { return program;  }
	}

	private string args;
	public string Args {
		set { args = value; }
		get { return args;  }
	}

	private string regex_input;
	public string RegexInput {
		set { regex_input = value; }
		get { return regex_input;  }
	}

	private string regex_pattern;
	public string RegexPattern {
		set { regex_pattern = value; }
		get { return regex_pattern;  }
	}

	private bool regex_case;
	public bool RegexCase {
		set { regex_case = value; }
		get { return regex_case;  }
	}

	public InfoPluginItem (string m, string p, string a, string r_input, string r_pattern, bool r_case)
	{

		mime = m;
		program = p;
		args = a;
		regex_input = r_input;
		regex_pattern = r_pattern;
		regex_case = r_case;				

	}

}






